Create Call Group
curl --request POST \
--url https://api.voxo.co/v2/admin/call-groups/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": 123,
"name": "<string>",
"ringStrategy": "RINGALL"
}
'import requests
url = "https://api.voxo.co/v2/admin/call-groups/"
payload = {
"tenantId": 123,
"name": "<string>",
"ringStrategy": "RINGALL"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenantId: 123, name: '<string>', ringStrategy: 'RINGALL'})
};
fetch('https://api.voxo.co/v2/admin/call-groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"number": "<string>",
"branch": {
"id": 123,
"name": "<string>"
},
"enableMusicOnHold": "<string>",
"checkInUse": "<string>",
"checkOffline": "<string>",
"ringStrategy": "<string>",
"ringTime": 123,
"dialTimeout": 123,
"enableForwarding": "<string>",
"routingDestinations": [
{
"id": 123,
"destType": "<string>",
"order": 123,
"typeSrc": "<string>",
"name": "<string>",
"number": "<string>"
}
],
"forwardingDestinations": [
{
"id": 123,
"destType": "<string>",
"order": 123,
"typeSrc": "<string>",
"name": "<string>",
"number": "<string>"
}
],
"timeoutDestinations": [
{
"id": 123,
"destType": "<string>",
"order": 123,
"typeSrc": "<string>",
"name": "<string>",
"number": "<string>"
}
]
}Call Groups
Create Call Group
Create a call group with routing destinations
POST
/
v2
/
admin
/
call-groups
/
Create Call Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
RINGALL Available options:
on Available options:
on Available options:
on Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
200 - application/json
Created call group
Call group ID
Tenant ID
Call group name
Call group number
Resolved branch
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I